Package org.gradle.api.resources

# Interface ResourceHandler

public interface ResourceHandler
Provides access to resource-specific utility methods, for example factory methods that create various resources.

## Method Summary

Modifier and Type
Method
Description
`ReadableResource`
`bzip2(Object path)`
Creates resource that points to a bzip2 compressed file at the given path.
`TextResourceFactory`
`getText()`
Returns a factory for creating `TextResource`s from various sources such as strings, files, and archive entries.
`ReadableResource`
`gzip(Object path)`
Creates resource that points to a gzip compressed file at the given path.

## Method Details

### gzip

ReadableResource gzip(Object path)
Creates resource that points to a gzip compressed file at the given path. The path is evaluated as per `Project.file(Object)`.

Parameters:
  `path` - The path evaluated as per `Project.file(Object)`.

### bzip2

ReadableResource bzip2(Object path)
Creates resource that points to a bzip2 compressed file at the given path. The path is evaluated as per `Project.file(Object)`.

Parameters:
  `path` - The path evaluated as per `Project.file(Object)`.

### getText

@Incubating TextResourceFactory getText()
Returns a factory for creating `TextResource`s from various sources such as strings, files, and archive entries.

Returns:
  a factory for creating `TextResource`s
Since:
  2.2